import React from 'react';
import { getProducts } from "@/app/actions/product";
import ProductClient from "./ProductClient";

export default async function ProductsAdminPage() {
  const products = await getProducts();

  return (
    <div className="space-y-6">
      <div className="flex justify-between items-center">
        <h1 className="text-2xl font-black text-gray-900">Gestion des Produits</h1>
      </div>
      
      <ProductClient initialProducts={products} />
    </div>
  );
}
